load_bitmap(3)

NAME
load_bitmap

SYNOPSIS
#include <allegro.h>

BITMAP *load_bitmap(const char *filename, RGB *pal);

DESCRIPTION
Loads a bitmap from a file, returning a pointer to a bitmap and storing the palette data in the specified location, which should be an array of 256 RGB structures. You are responsible for destroying the bitmap when you are finished with it. Returns NULL on error. At present this function supports BMP, LBM, PCX, and TGA files, determining the type from the file extension. If the file contains a truecolor image, you must set the video mode or call set_color_conversion() before loading it.

SEE ALSO
load_bmp(3), load_lbm(3), load_pcx(3), load_tga(3), destroy_bitmap(3), save_bitmap(3), register_bitmap_file_type(3), set_color_depth(3), set_color_conversion(3)